List all of the registered machines in the supplied Octopus Deploy Space, from all environments. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
commStylesarray of string
List of communication styles which if specified, filters the result to only include Deployment Targets with matching communication styles.deploymentTargetTypesarray of string
List of deployment target types which if specified, filters the result to only include Deployment Targets with matching types.environmentIdsarray of string
List of Environment IDs which if specified, filters the result to only include Deployment Targets with matching Environment IDs.healthStatusesarray of string
List of health statuses which if specified, filters the result to only include Deployment Targets with matching health statuses.idsarray of string
List of Deployment Target IDs which if specified, filters the result to only include Deployment Targets with matching IDs.isDisabledboolean
A filter to return only disabled/enabled Deployment Targets.namestring
The exact name of a deployment target to be matched.operatingSystemNamesarray of string
List of operating system names which if specified, filters the result to only include Deployment Targets with matching operating systems.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.rolesarray of string
List of roles which if specified, filters the result to only include Deployment Targets with matching roles.shellNamesarray of string
List of shell names which if specified, filters the result to only include Deployment Targets with matching shells.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.targetTagsarray of string
List of Target Tags which if specified, filters the result to only include Deployment Targets with matching Target Tags.tenantIdsarray of string
List of Tenant IDs which if specified, filters the result to only include Deployment Targets with matching Tenant IDs.tenantTagsarray of string
List of Tenant Tags which if specified, filters the result to only include Deployment Targets with matching Tenant Tags.
Response
200 — The list of alphabetically sorted deployment targets that matched the request.
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectArchitecturestringEndpointobjectEnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a MachineResource
POST /api
Also reachable at /api, /api.
Creates a new deployment target.
Path Parameters
spaceIdstring (required)
Request Body
EndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
EnvironmentIdsarray of string (required)IsDisabledbooleanMachinePolicyIdstringNamestring (required)
Minimum length 1.Rolesarray of string (required)SkipInitialHealthCheckbooleanSlugstringSpaceIdstring (required)TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Response
201 — Created
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
EnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Example Request
{
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"EnvironmentIds": [
"string"
],
"IsDisabled": true,
"MachinePolicyId": "string",
"Name": "string",
"Roles": [
"string"
],
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}Get a list of Deployment Targets
GET /api
Also reachable at /api, /api.
Lists all of the Deployment Targets in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A comma separated list of Machine resource ids used to filter a query.thumbprintstring
A thumbprint used to filter a query.
Response
200 — Requested list of Deployment Targets
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
EnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Example Response
[
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}
]Get a list of Deployment Targets
GET /api
Also reachable at /api, /api.
Lists all of the Deployment Targets in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
idsarray of string
A comma separated list of Machine resource ids used to filter a query.thumbprintstring
A thumbprint used to filter a query.
Response
200 — Requested list of Deployment Targets
DeploymentTargetsarray of objectArchitecturestringEndpointobjectEnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Example Response
{
"DeploymentTargets": [
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}
]
}Interrogate a deployment target for communication details so that it may be added to the installation
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
hoststring (required)portintegerproxyIdstringtypeenum
Allowed values:TentaclePassive,TentacleActive,Ssh.
Response
200 — The machine which was discovered
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
HasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringStatusSummarystringThumbprintstringUristring
Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"StatusSummary": "string",
"Thumbprint": "string",
"Uri": "string"
}Get all operating system names for deployment targets
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — The operating system names
Example Response
[
"string"
]Get all operating system shell names for deployment targets
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Response
200 — The operating system shell names
Example Response
[
"string"
]List all of the registered machines in the supplied Octopus Deploy Space, from all environments. The results are sorted by health status, healthiest first, then alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
commStylesarray of string
List of communication styles which if specified, filters the result to only include Deployment Targets with matching communication styles.deploymentTargetTypesarray of string
List of deployment target types which if specified, filters the result to only include Deployment Targets with matching types.environmentIdsarray of string
List of Environment IDs which if specified, filters the result to only include Deployment Targets with matching Environment IDs.healthStatusesarray of string
List of health statuses which if specified, filters the result to only include Deployment Targets with matching health statuses.idsarray of string
List of Deployment Target IDs which if specified, filters the result to only include Deployment Targets with matching IDs.isDisabledboolean
A filter to return only disabled/enabled Deployment Targets.namestring
The exact name of a deployment target to be matched.operatingSystemNamesarray of string
List of operating system names which if specified, filters the result to only include Deployment Targets with matching operating systems.partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.rolesarray of string
List of roles which if specified, filters the result to only include Deployment Targets with matching roles.shellNamesarray of string
List of shell names which if specified, filters the result to only include Deployment Targets with matching shells.skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.targetTagsarray of string
List of Target Tags which if specified, filters the result to only include Deployment Targets with matching Target Tags.tenantIdsarray of string
List of Tenant IDs which if specified, filters the result to only include Deployment Targets with matching Tenant IDs.tenantTagsarray of string
List of Tenant Tags which if specified, filters the result to only include Deployment Targets with matching Tenant Tags.
Response
200 — The list of alphabetically sorted deployment targets that matched the request.
DeploymentTargetsobjectItemTypestringItemsarray of objectItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
TargetCountPerHealthStatusobject
Example Response
{
"DeploymentTargets": {
"ItemType": "string",
"Items": [
{
"Architecture": "string",
"Endpoint": {},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
},
"TargetCountPerHealthStatus": {
"additionalProp1": 0,
"additionalProp2": 0,
"additionalProp3": 0
}
}Get an existing Deployment Target
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The id of the Machine.spaceIdstring (required)
The id of the space that contains the Machine.
Response
200 — The Deployment Target resource to return.
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
EnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}Delete an existing Deployment Target
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Deployment Target to delete.spaceIdstring (required)
The SpaceId of the deployment target to delete.
Response
200 — Success
Get a list of the latest deployments by project for the given Deployment Target
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Deployment Target.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
partialNamestringskipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of latest deployments per project for the Deployment Target
ItemTypestringItemsarray of objectProjectIdstringProjectLogostring
Minimum length 1.ProjectNamestring
Minimum length 1.ServerTaskobject
ItemsPerPageintegerLastPageNumberintegerNumberOfPagesintegerTotalResultsinteger
Example Response
{
"ItemType": "string",
"Items": [
{
"ProjectId": "string",
"ProjectLogo": "string",
"ProjectName": "string",
"ServerTask": {
"Arguments": {},
"CanRerun": true,
"Completed": "string",
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Description": "string",
"Duration": "string",
"ErrorMessage": "string",
"EstimatedRemainingQueueDurationSeconds": 0,
"FinishedSuccessfully": true,
"HasBeenPickedUpByProcessor": true,
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastUpdatedTime": "2020-01-01T00:00:00.000Z",
"Links": {},
"Name": "string",
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "string",
"QueueTime": "2020-01-01T00:00:00.000Z",
"QueueTimeExpiry": "2020-01-01T00:00:00.000Z",
"ServerNode": "string",
"SpaceId": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued"
}
}
],
"ItemsPerPage": 0,
"LastPageNumber": 0,
"NumberOfPages": 0,
"TotalResults": 0
}Get a list of Tasks for the given Deployment Target
GET /api
Also reachable at /api, /api.
Get a history of related Tasks (ie. Deployments) for a Deployment Target.
Path Parameters
idstring (required)
ID of the Deployment Target.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.typeenum
The type of Task to retrieve. If left blank, all Tasks are retrieved.
Allowed values:Deployment,RunbookRun.
Response
200 — The requested list of Tasks for the Deployment Target
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectArgumentsobject
Gets or sets any arguments to the task.CanRerunboolean
If true, then the task can be used as the basis for a new task with the same effect.Completedstring
Gets or sets a value indicating the completion status of the task. May be “Timed out”, “Queued…”, “Executing…”, or the time at which the task completed for completed tasks.CompletedTimestring
Gets or sets the date/time that the task completed. Will be null if the task has not yet completed. Formatdate-time.Descriptionstring
Gets or sets a short, human-understandable description of this task. An example might be “Manual database backup”. This is the name that will be shown in the task list.Durationstring
Gets or sets a string indicating how long the task took to run.ErrorMessagestring
Gets or sets a short summary of the errors encountered when the task ran (if any).EstimatedRemainingQueueDurationSecondsintegerFinishedSuccessfullyboolean
Gets or sets a value indicating whether the task ran to completion successfully.HasBeenPickedUpByProcessorboolean
Gets or sets a boolean value indicating whether the Octopus Server is processing this task.HasPendingInterruptionsboolean
True if the task has any pending interruptions.HasPendingPreconditionsboolean
True if the task has any pending preconditions.HasWarningsOrErrorsboolean
True if any warnings or non-fatal errors were recorded in the task log during execution.Idstring
Gets or sets a unique identifier for this resource.IsCompletedboolean
Gets or sets a value indicating whether the task has completed (that is, not queued, not running, and not paused; may have finished successfully or failed).LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastUpdatedTimestring
Gets or sets the time that the Octopus server last updated the status of this task. For a running task this should happen at least every couple of minutes. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of the task to create. This name must be one of the list of possible names documented in the create API operation documentation.PendingInterruptionTypesarray of enum
Contains a list of the types of any pending interruptions.
Allowed values:ManualIntervention,GuidedFailure,PullRequestCompletion,ArgoCDApplicationSync,KubernetesResourceVerification.PendingPreconditionTypesarray of string
Contains a list of the types of any pending preconditions.ProjectIdstring
If the task belongs to a project (e.g. a deployment), the ID of the project it belongs to.QueueTimestring
Gets or sets the time at which the task was queued. Formatdate-time.QueueTimeExpirystring
Gets or sets the time at which the task will timeout if it has not started executing. Formatdate-time.ServerNodestring
Gets the ID of the Octopus server that created and will control this task.SpaceIdstringStartTimestring
Gets or sets the time at which the task started executing. Formatdate-time.Stateenum
Gets or sets the current state of the task.
Allowed values:Queued,Executing,Failed,Canceled,TimedOut,Success,Cancelling.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Arguments": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"CanRerun": true,
"Completed": "string",
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Description": "string",
"Duration": "string",
"ErrorMessage": "string",
"EstimatedRemainingQueueDurationSeconds": 0,
"FinishedSuccessfully": true,
"HasBeenPickedUpByProcessor": true,
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastUpdatedTime": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "string",
"QueueTime": "2020-01-01T00:00:00.000Z",
"QueueTimeExpiry": "2020-01-01T00:00:00.000Z",
"ServerNode": "string",
"SpaceId": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Get a list of Tasks for the given Deployment Target
GET /api
Also reachable at /api, /api.
Get a history of related Tasks (ie. Deployments) for a Deployment Target.
Path Parameters
idstring (required)
ID of the Deployment Target.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.typeenum
The type of Task to retrieve. If left blank, all Tasks are retrieved.
Allowed values:Deployment,RunbookRun.
Response
200 — The requested list of Tasks for the Deployment Target
ResourceCollectionobjectIdstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"ResourceCollection": {
"Id": "string",
"ItemType": "string",
"Items": [
{
"Arguments": {},
"CanRerun": true,
"Completed": "string",
"CompletedTime": "2020-01-01T00:00:00.000Z",
"Description": "string",
"Duration": "string",
"ErrorMessage": "string",
"EstimatedRemainingQueueDurationSeconds": 0,
"FinishedSuccessfully": true,
"HasBeenPickedUpByProcessor": true,
"HasPendingInterruptions": true,
"HasPendingPreconditions": true,
"HasWarningsOrErrors": true,
"Id": "string",
"IsCompleted": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastUpdatedTime": "2020-01-01T00:00:00.000Z",
"Links": {},
"Name": "string",
"PendingInterruptionTypes": [
"ManualIntervention"
],
"PendingPreconditionTypes": [
"string"
],
"ProjectId": "string",
"QueueTime": "2020-01-01T00:00:00.000Z",
"QueueTimeExpiry": "2020-01-01T00:00:00.000Z",
"ServerNode": "string",
"SpaceId": "string",
"StartTime": "2020-01-01T00:00:00.000Z",
"State": "Queued"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}
}List all the variable set names (projects and library variable sets) that have variables that are scoped to only the given machine
GET /api
Also reachable at /api, /api.
Path Parameters
machineIdstring (required)spaceIdstring (required)
Response
200 — The names of LibraryVariableSets and VariableSets which contain one or more variables scoped to the requested machine. Along with boolean indication to show that there are unviewable/editable projects/libraries which also contain scoped variables.
ResourceobjectHasUnauthorizedLibraryVariableSetVariablesbooleanHasUnauthorizedProjectVariablesbooleanVariableMapobject
Example Response
{
"Resource": {
"HasUnauthorizedLibraryVariableSetVariables": true,
"HasUnauthorizedProjectVariables": true,
"VariableMap": {
"additionalProp1": {
"additionalProp1": 0,
"additionalProp2": 0,
"additionalProp3": 0
},
"additionalProp2": {
"additionalProp1": 0,
"additionalProp2": 0,
"additionalProp3": 0
},
"additionalProp3": {
"additionalProp1": 0,
"additionalProp2": 0,
"additionalProp3": 0
}
}
}
}Modify an existing Deployment Target (identified by ID)
PUT /api
Also reachable at /api, /api.
Path Parameters
machineidstring (required)spaceIdstring (required)
Request Body
EndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
EnvironmentIdsarray of string (required)IsDisabledbooleanMachineIdstring (required)MachinePolicyIdstring
Note: If this is unset, but the endpoint requires a policy, Octopus will update the machine with the default machine policy.Namestring (required)
Minimum length 1.Rolesarray of string (required)SlugstringSpaceIdstring (required)TenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Response
200 — The MachineResource following requested changes.
ArchitecturestringEndpointobjectCommunicationStyleenum
This is for legacy support in client. Server no longer uses this for determining endpoint types, it uses DeploymentTargetType.
Allowed values:None,TentaclePassive,TentacleActive,Ssh,OfflineDrop,AzureWebApp,Ftp,AzureCloudService,AzureServiceFabricCluster,Kubernetes,StepPackage,KubernetesTentacle,AwsEcsCluster.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
EnvironmentIdsarray of stringHasLatestCalamaribooleanHealthStatusenum
Allowed values:Healthy,Unavailable,Unknown,HasWarnings,Unhealthy.Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanIsInProcessbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.MachinePolicyIdstringNamestringOperatingSystemstringOperatingSystemVersionstringRolesarray of stringShellNamestringShellVersionstringSkipInitialHealthCheckbooleanSlugstringSpaceIdstringStatusSummarystringTenantIdsarray of stringTenantTagsarray of stringTenantedDeploymentParticipationenum
Allowed values:Untenanted,TenantedOrUntenanted,Tenanted.ThumbprintstringUristring
Example Request
{
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"EnvironmentIds": [
"string"
],
"IsDisabled": true,
"MachineId": "string",
"MachinePolicyId": "string",
"Name": "string",
"Roles": [
"string"
],
"Slug": "string",
"SpaceId": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}Example Response
{
"Architecture": "string",
"Endpoint": {
"CommunicationStyle": "None",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"EnvironmentIds": [
"string"
],
"HasLatestCalamari": true,
"HealthStatus": "Healthy",
"Id": "string",
"IsDisabled": true,
"IsInProcess": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"MachinePolicyId": "string",
"Name": "string",
"OperatingSystem": "string",
"OperatingSystemVersion": "string",
"Roles": [
"string"
],
"ShellName": "string",
"ShellVersion": "string",
"SkipInitialHealthCheck": true,
"Slug": "string",
"SpaceId": "string",
"StatusSummary": "string",
"TenantIds": [
"string"
],
"TenantTags": [
"string"
],
"TenantedDeploymentParticipation": "Untenanted",
"Thumbprint": "string",
"Uri": "string"
}